
# from haven import haven_utils as hu
# from haven import haven_chk as hc
import os
import json

CONFIG_FOLDER = 'Config/Best_params'
# select one experiment
exp_id = 'omniglot_p0.9.json'

# exp_list = hu.load_json(os.path.join(CONFIG_FOLDER, exp_id))
# print(len(exp_list))
# print(type(exp_list))
# print(type(exp_list[0]))
# print(exp_list[0])

raw_params = json.load(open(os.path.join(CONFIG_FOLDER, exp_id)))
exp_dict = next(item for item in raw_params if item["model_name_impv"] == "ours")
print(type(exp_dict))
print(exp_dict)